jclouds-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alix Lourme (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (JCLOUDS-1197) About openstack api versions
Date Fri, 03 Aug 2018 15:11:00 GMT

    [ https://issues.apache.org/jira/browse/JCLOUDS-1197?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16568326#comment-16568326
] 

Alix Lourme commented on JCLOUDS-1197:
--------------------------------------

In JClouds 2.1.0:
 * Keystone v3 : *yes* (JCLOUDS-114) and works fine, with a limitation on project scope (JCLOUDS-1414,
will be fixed in  next versions 2.2.0, 2.1.1).
 * Cinder v2 : *no* (JCLOUDS-1113)

> About openstack api versions
> ----------------------------
>
>                 Key: JCLOUDS-1197
>                 URL: https://issues.apache.org/jira/browse/JCLOUDS-1197
>             Project: jclouds
>          Issue Type: Improvement
>          Components: jclouds-labs-openstack
>    Affects Versions: 1.9.2, 2.0.0
>            Reporter: zhoutiekui
>            Priority: Blocker
>
> Hello,everyone:
>     I  am a huawei engineer,when i use jclouds,i found that jclouds use the keystone
v2, cinder v1 and glance v1 api version in jclouds 1.9.3 and 2.0.0,these api versions are
depracated in openstack official api site,i want to know is there a plan to upgrade the support
for openstack api version? we hope jclouds can support keystone v3,glance v2,cinder v2,thanks.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message